Package: org.codehaus.groovy

## [Java] Class GroovyException

- org.codehaus.groovy.GroovyException

- All Implemented Interfaces and Traits:
    GroovyExceptionInterface

      public class GroovyException
      extends Exception

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `fatal`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyException ()`
    `GroovyException (String message)`
    `GroovyException (String message, Throwable cause)`
    `GroovyException (boolean fatal)`
    `GroovyException (String message, boolean fatal)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isFatal()`
    `` | `void` | `setFatal(boolean fatal)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Throwable` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean fatal

  - ### Constructor Detail

    - #### public GroovyException()

    - #### public GroovyException(String message)

    - #### public GroovyException(String message, Throwable cause)

    - #### public GroovyException(boolean fatal)

    - #### public GroovyException(String message, boolean fatal)

  - ### Method Detail

    - #### public boolean isFatal()

    - #### public void setFatal(boolean fatal)